@import url('../css/satoshi.css');
@import url('https://fonts.googleapis.com/css2?family=EB+Garamond');

@font-face {
    font-family: 'Satoshi-Variable';
    src: url('../fonts/fonts/Satoshi-Variable.woff2') format('woff2'), url('../fonts/fonts/Satoshi-Variable.woff') format('woff'), url('../fonts/fonts/Satoshi-Variable.ttf') format('truetype');
    font-weight: 300 900;
    font-display: swap;
    font-style: normal;
}

* {
    box-sizing: border-box;
}

body {
    background-color: #ffffff;
    margin: 0;
    color: #000000;
    font-family: 'Satoshi-Variable', sans-serif;
    font-style: normal;
}

section {
    padding: 64px 24px 0;
}

h2 {
    color: #5b695f;
    font-weight: 700;
    font-size: 72px;
    line-height: 80px;
    margin: 0;
}

h3 {
    font-weight: 900;
    font-size: 32px;
}

p {
    font-family: 'EB Garamond', serif;
    font-style: normal;
    font-weight: 400;
    font-size: 22px;
    line-height: 29px;
}

a {
    text-decoration: none;
}

 .summary-box p, 
 .tech-stack p, 
 .project-text, 
 li {
    font-family: 'EB Garamond', serif;
}

img {
    height: 280px;
    width: 280px;
    object-fit: cover;
}

/*ICONS*/
.icons {
    margin: 20px 0;
    color: #D0D0D0;
}

.icons svg {
    width: 32px;
    height: 32px;
}

.icons:hover {
    color: #000000;
}

.icons-box-footer {
    display: flex;
    flex-direction: row;
    height: 32px;
    align-self: center;
}

/*BUTTONS (that are links)*/
.code-button,
.live-button {
    display: flex;
    align-items: center;
    justify-content: center;
    color: #232c39;
    background-color:  #F5F5F5;
    border-radius: 40px;
    border: none;
    margin-top: 24px;
    margin-right: 24px;
    font-size: 18px;
    padding: 0;
    width: 200px;
    height: 48px;
    font-family: 'Satoshi-Variable', sans-serif;
    font-style: normal;
    font-weight: 500;
}

.code-button img,
.live-button img {
    width: 48px;
    height: 48px;
}

.live-button {
    width: 164px;
    height: 48px;
    margin-bottom: 80px;
}
  
.code-button:hover {
    background-color: #2c3847;
    color: #FFFFFF;
}

.live-button:hover {
    background-color:#615d57;
    color: #FFFFFF;
}

/*HEADER MOBILE START*/
header {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 1fr 1fr 30px 225px;
    padding: 55px 24px;
    height: 100vh;
}

.side-box-image p {
     display: none;
}

.header-box {
    grid-area: 1 / 1 / 2 / 5;
    display: flex;
    flex-direction: column;
}

.photo-box {
    align-self: center;
}

.personal-photo {
     width: 164px;
     height: 164px;
     border-radius: 50%;
}

 .main-info-header {
     margin: 0;
     padding-bottom: 40px;
     padding-top: 29px;
}

h1 {
     color: #dc7958;
     font-style: normal;
     font-weight: 700;
     font-size: 28px;
     line-height: 38px;
}

.main-info-header h2 {
     font-style: normal;
     font-weight: 900;
     font-size: 32px;
     line-height: 43px;
}

.summary-box {
    grid-area: 2 / 1 / 3 / 5;
    height: auto;
}

.summary-box p {
    font-family: 'EB Garamond';
    font-style: normal;
    font-weight: 400;
    font-size: 22px;
    line-height: 29px;
}

.icons-box-header {
    grid-area: 3 / 2 / 4 / 4;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    margin-top: 20px;
}

.scroll {
    grid-area: 4 / 1 / 5 / 5;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: #222221;
}
 .scroll p {
    color: #222221;
    font-family: 'Satoshi-Variable', sans-serif;
    font-style: normal;
    font-weight: 900;
    font-size: 16px;
    line-height: 22px;
}
.scroll img {
    width: 19px;
    height: 30px;
    margin-top: 40px;
}
/*HEADER MOBILE END*/

/*TECH STACK SECTION MOBILE START*/
.tech-stack {
    background-color: #ede8e4;
    height: 530px;
}

.tech-stack h2 {
    text-align: center;
    margin-bottom: 60px;
}

.js-techstack {
    background-color:#966d57;
    color: #ffffff;
}

.react-techstack {
    background-color: #66665d;
    color: #ffffff;
}

.mob-techstack {
    background-color: #617b66;
    color: #ffffff;
}

.tech-stack p {
    font-family: 'EB Garamond';
    font-style: normal;
    font-weight: 400;
    font-size: 22px;
    line-height: 32px;
}
/*TECH STACK SECTION MOBILE END*/


/*PROJECTS SECTION MOBILE START*/
.projects {
    display: grid;
    grid-template-columns: repeat(4, minmax(0, 1fr));
    grid-template-rows: auto;
    justify-content: center;
    justify-items: center;
    align-items: flex-start; 
}

.projects h2 {
    grid-column: 2 / span 2;
    font-style: normal;
    font-weight: 700;
    font-size: 66px;
    line-height: 80px;
    margin-bottom: 64px;
}

article {
    display: flex;
    flex-direction: column;
    grid-column: 2 / span 2;
    justify-content: center;
}

article:last-child {
    margin-bottom: 200px;
}

.project-info h3 {
    font-family: 'Satoshi-Variable';
    font-style: normal;
    font-weight: 900;
    font-size: 32px;
    line-height: 43px;
    margin-bottom: 12px;
}

.project-info p {
    font-family: 'EB Garamond';
    font-style: normal;
    font-weight: 400;
    font-size: 22px;
    line-height: 29px;
    margin-bottom: 24px;
}

 .code-tags {
     display: flex;
}

.code-tags p {
    color: #ffffff;
    background-color: #000000;
    margin: 0 4px 20px 0;
    padding: 2px 6px;
    font-family: 'Satoshi-Variable';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 22px;
}

.code-tags {
    display: flex;
}

.code-tags p {
    color: #ffffff;
    background-color: #000000;
    margin: 4px;
    padding: 2px 6px;
    font-size: 16px;
}

.project-designhandoff img, .project-moviereleases img, .project-express-api img {
    object-position: left;
}
/*PROJECTS SECTIONS MOBILE END*/


/*SKILLS SECTION MOBILE START*/
.skills {
    background-color: #f8e6cf;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    padding-bottom: 100px;
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.skills h3 {
    color: #ffffff;
    font-weight: 700;
    font-size: 24px;
    line-height: 32px;
    display: inline-block;
    padding: 2px;
    margin: 66px 0 16px 0;
}

.code-skills {
    background-color: #617b66;
}

.toolbox-skills {
    background-color: #4b9f68;
}

.more-skills {
     background-color: #66665d;
}

.upcoming-skills {
    background-color: #966d57;
}

.skills li {
    font-family: 'EB Garamond';
    font-style: normal;
    font-weight: 400;
    font-size: 22px;
    line-height: 32px;
}
/*SKILLS SECTION MOBILE END*/

/*FOOTER MOBILE START*/
footer {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 134px 1fr 230px 50px;
    padding: 0 24px;
    justify-content: center;
    justify-items: center;
    align-items: flex-start; 
}

footer h2 {
    grid-column: span 4;
    display: flex;
     font-style: normal;
     font-weight: 900;
     font-size: 54px;
     line-height: 162px;
     color: #615d57;
     text-align: center;
     justify-content: center;
     align-content: flex-start;
     margin-top: 50px;
}

.footer-box {
    grid-column: span 4;
    display: flex;
    flex-direction: column;
    margin-top: 70px;
}

.main-info-footer {
    margin: 0;
}

 .main-info-footer h3 {
    color: #dc7958;
    font-style: normal;
    font-weight: 700;
    font-size: 28px;
    line-height: 38px;
}

.main-info-footer h4 {
    font-style: normal;
    font-weight: 900;
    font-size: 32px;
    line-height: 43px;
    margin: 0;
}

.personal-photo {
    margin-bottom: 35px;
}

footer a {
    grid-column: span 4;
    font-family: 'Satoshi-Variable';
    color: #000000;
    font-style: normal;
    font-weight: 900;
    font-size: 18px;
    line-height: 43px;
    align-self: center;
}

.icons-box-footer {
    grid-column: 2 / span 2;
    display: flex;
    justify-content: space-around;
    align-self: flex-start;
}
/*FOOTER MOBILE END*/
/*END MOBILE*/


/*MEDIA QUERY TABLET*/
 @media (min-width: 667px) {
    /*HEADER TABLET START*/
    header {
        display: grid;
        grid-template-columns: minmax(102px, 1fr) repeat(6, 77px) minmax(102px, 1fr);
        grid-template-rows: 412px 244px 180px 32px 1fr;
        height: 920px;
        align-items: center;
        padding: 0;
    }
    
    .side-box-image {
        grid-area: 1 / 1 / 2 / 9;
        width: auto;
        background-image: url('../assets/pexels-matheus-viana-2414036.jpg');
        background-size: cover;
        background-position: 75%;
        height: 412px;
    }
         
    .header-box {
        grid-area: 2 / 2 / 3 / 8;
        display: flex;
        flex-direction: row;
        margin: 90px 0 20px 0;
        width: auto;
    }

    .photo-box {
        margin-right: 40px;
    }

    .summary-box {
        grid-area: 3 / 2 / 4 / 8;
        margin: 0;
        padding-left: 40px;
        align-self: center;
    }

    .icons-box-header {
        display: flex;
        grid-area: 4 / 2 / 5 / 4;
        justify-content: space-between;
        align-items: center;
        padding-left: 40px;
    }

    .scroll {
        grid-area: 5 / 1 / 6 / 9;
        margin-bottom: 10px;
        margin-top: 1;
    }
    /*HEADER TABLET END*/

    /*TECH STACK SECTION TABLET START*/
    .tech-stack {
        display: grid;
        grid-template-columns: repeat(8, 1fr);
        grid-template-rows: 1fr 1fr;
        height: 800px;
        align-items: center;
        padding: 0;
    }

    .tech-stack h2 {
        grid-area: 1 / 1 / 2 / 9;
        margin-top: 200px;
    }

    .tech-stack p {
        grid-area: 2 / 2 / 3 / 8;
        justify-self: center;
        align-self: flex-start;
    }
    /*TECH STACK SECTION TABLET END*/

    /*PROJECTS SECTION TABLET START*/
    .projects {
        display: grid;
        grid-template-columns: 24px repeat(6, 1fr) 24px;
        row-gap: 20px;
        margin: 0;
        padding: 0;
        justify-content: center;
        justify-items: center;
        align-items: flex-start; 
    }

    .projects h2 {
        line-height: 108px;
        margin-top: 120px;
        margin-bottom: 20px;
        grid-area: 1 / 2 / 1 / 9;
    }

    article {
        flex-direction: row;
        grid-column: 2 / 8;
        margin: 0;
        padding: 0;
    }

    article:last-child {
        margin-bottom: 120px;
    }

    .project-info {
        margin-left: 24px;
        max-width: 500px;
    }

    .projects img {
        width: 184px;
        height: 280px;
    }
    /*PROJECTS SECTION TABLET END*/

    /*SKILLS SECTION TABLET START*/
    .skills {
        display: grid;
        grid-template-columns: repeat(8, 1fr);
    }

    .skills h2 {
        grid-area: 1 / 1 / 2 / 9;
        text-align: center;
    }

    .skill-container {
        align-self: start;
    }

    .skill-container:nth-of-type(1) {
        grid-column: 3 / span 2;
        grid-row: 2 / 3;
    }

    .skill-container:nth-of-type(2) {
        grid-column: 5 / span 2;
        grid-row: 2 / 3;
    }

    .skill-container:nth-of-type(3) {
        grid-column: 3 / span 2;
        grid-row: 3 / 4;
    }

    .skill-container:nth-of-type(4) {
        grid-column: 5 / span 2;
        grid-row: 3 / 4;
        margin-bottom: 155px;
    }
    /*SKILLS SECTION TABLET END*/

    /*BUTTONS TABLET START*/
    .project-buttons {
        display: flex;
        flex-direction: row;
    }

    .code-button {
        margin-right: 24px;
    }
    /*BUTTONS TABLET END*/

    /*FOOTER TABLET START*/
    footer {
        display: grid;
        grid-template-columns: repeat(8, 1fr);
        grid-template-rows: repeat(4, auto);
        justify-items: center;
        padding: 0;
    }

    footer h2 {
        grid-area: 1 / 1 / 2 / 9;
        margin: 0;
        margin-top: 172px;
        font-size: 120px;
    }

    .footer-box {
        grid-area: 2 / 2 / 3 / 8;
        display: flex;
        flex-direction: row;
        align-items: center;
        margin-top: 74px;
    }

    .main-info-footer {
        text-align: left;
        margin-left: 30px;
    }

    .personal-photo {
        margin-bottom: 0;
    }

    footer a {
        color: #000000;
        grid-area: 3 / 2 / 4 / 8;
        margin-top: 120px;
    }

    footer h5 {
        text-align: center;
        font-size: 32px;
    }

    .icons-box-footer {
        grid-area: 4 / -6 / 5 / -4;
        height: 250px;
        margin-bottom: 0px;
    }
    /*FOOTER TABLET START*/
}
/*MEDIA QUERY TABLET END*/



/*MEDIA QUERY DESKTOP START*/
 @media (min-width: 1025px) {
    /*HEADER DESKTOP START*/
    header {
        display: grid;
        grid-template-columns: minmax(45px, 1fr) repeat(10, 1fr) minmax(45px, 1fr);
        grid-template-rows: 200px 300px 200px 100px 200px;
        align-items: center;
        padding: 0;
        height: 980px;
    }

    .side-box-image {
        grid-area: 1 / 7 / 6 / 13;
        width: 100%;
        align-self: stretch;
        background-image: url('../assets/pexels-matheus-viana-2414036.jpg');
        background-size: cover;
        background-position: center;
        margin: 0;
        padding: 0;
        height: 980px;
    }

    .header-box {
        grid-area: 2 / 2 / 3 / 7;
        margin: 80px 0 32px 0;
        align-items: center;
        width: auto;
    }

    .photo-box {
        margin-right: 40px;
    }

    .main-info-header {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }

    h1 {
        margin-top: 0;
    }

    .summary-box {
        grid-area: 3 / 2 / 4 / 6;
        margin-top: 0;
        padding: 0 0 0 40px;
        font-style: normal;
        font-weight: 400;
        font-size: 22px;
        line-height: 29px;
    }

    .icons-box-header {
        display: flex;
        grid-area: 4 / 2 / 5 / 3;
        justify-content: space-between;
        align-self: flex-start;
    }

    .scroll {
        grid-area: 5 / -8 / 6 / -6;
        margin-bottom: 10px;
    }
    /*HEADER DESKTOP END*/

    /*TECH STACK SECTION DESKTOP START*/
    .tech-stack {
        display: grid;
        grid-template-columns: minmax(230px, 1fr) repeat(3, 1fr) minmax(230px, 1fr);
        grid-template-rows: 1fr 100px 1fr;
        height: 800px;
        margin: 0;
        padding: 0;
        align-self: center;
        justify-content: center;
    }

    .tech-stack h2 {
        grid-area: 2 / 2 / 3 / 3;
        margin-bottom: 0;
        margin-top: 0;
        justify-self: center;
    }

    .tech-stack p {
        grid-area: 2 / 3 / 3 / 5;
        margin-bottom: 0;
        width: auto;
        font-family: 'EB Garamond';
        font-style: normal;
        font-weight: 400;
        font-size: 22px;
        line-height: 32px;
        justify-self: flex-start;
    }
    /*TECH STACK SECTION DESKTOP END*/

    /*PROJECTS SECTION DESKTOP START*/
    .projects{
        display: grid;
        grid-template-columns: minmax(150px, 1fr) repeat(10, 1fr) minmax(150px, 1fr);
        row-gap: 120px;
        margin: 0;
        padding: 0;
        justify-content: center;
        justify-items: center;
        align-items: flex-start; 
    }

    .projects h2 {
        margin-top: 120px;
        margin-bottom: 0;
        grid-area: 1 / 2 / 1 / 12;
        align-content: center;
        text-align: center;
    }

    article {
        grid-column: 2 / 12;
        margin: 0;
        padding: 0;
        display: flex;
    }

    article:last-child {
        margin-bottom: 92px;
    }

    .projects img {
        width: 280px;
        height: 280px;
    }

    .project-info {
        flex-direction: column;
        margin-left: 24px;
    }

    .project-info p {
        max-width: none;
    }
    /*PROJECTS SECTION DESKTOP END*/

    /*SKILLS SECTION DESKTOP START*/
    .skills {
        display: grid;
        grid-template-columns: repeat(12, 1fr);
    }

    .skills h2 {
        grid-area: 1 / 1 / 2 / 13;
        text-align: center;
    }

    .skill-container:nth-of-type(1) {
        grid-column: 3 / span 2;
        grid-row: 2;
        align-self: start;
    }

    .skill-container:nth-of-type(2) {
        grid-column: 5 / span 2;
        grid-row: 2;
        align-self: start;
    }

    .skill-container:nth-of-type(3) {
        grid-column: 7 / span 2;
        grid-row: 2;
        align-self: start;
    }

    .skill-container:nth-of-type(4) {
        grid-column: 9 / span 2;
        grid-row: 2;
        align-self: start;
    }
    /*SKILLS SECTION DESKTOP END*/

    /*BUTTONS DESKTOP START*/
    button {
        margin-top: 24px;
    }

    .live-button {
        margin-bottom: 0;
    }
    /*BUTTONS DESKTOP END*/

    /*FOOTER DESKTOP START*/
    footer {
        display: grid;
        grid-template-columns: repeat(8, 1fr);
        grid-template-rows: repeat(4, auto);
        justify-items: center;
        padding: 0;
    }

    footer h2 {
        grid-area: 1 / 1 / 2 / 9;
        margin: 0;
        margin-top: 172px;
    }

    .footer-box {
        grid-area: 2 / 2 / 3 / 8;
        display: flex;
        margin-top: 74px;
    }

    .main-info-footer {
        text-align: left;
        margin-left: 30px;
    }

    footer a {
        color: #000000;
        grid-area: 3 / 2 / 4 / 8;
        margin-top: 120px;
    }

    .icons-box-footer {
        grid-area: 4 / -6 / 5 / -4;
        justify-content: space-evenly;
        height: 250px;
    }
    /*FOOTER DESKTOP END*/
}
/*DESKTOP MEDIA QUERY END*/